Index: /documented-examples/trunk/dls-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/dls-e/etc/collectionConfig.xml	(revision 36364)
+++ /documented-examples/trunk/dls-e/etc/collectionConfig.xml	(revision 36365)
@@ -32,31 +32,15 @@
 		<displayItem assigned="true" dictionary="collectionConfig" key="description20" name="description20"/>
 		<displayItem assigned="true" dictionary="collectionConfig" key="description21" name="description21"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".section_Title" name=".section_Title"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".section_text" name=".section_text"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".document_text" name=".document_text"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".document" name=".document"/>
 	</displayItemList>
 	<format/>
 	<search type="mg">
-		<index name="section:text">
-			<displayItem lang="es" name="name">section:text</displayItem>
-			<displayItem lang="fr" name="name">section:text</displayItem>
-			<displayItem lang="ru" name="name">section:text</displayItem>
-			<displayItem lang="en" name="name">section:text</displayItem>
-			<displayItem lang="zh" name="name">section:text</displayItem>
+	        <index name="section:text">
+	    	  <displayItem assigned="true" dictionary="collectionConfig" key="section_text" name="name"/>
 		</index>
 		<index name="section:Title">
-			<displayItem lang="es" name="name">section:Title</displayItem>
-			<displayItem lang="fr" name="name">section:Title</displayItem>
-			<displayItem lang="ru" name="name">section:Title</displayItem>
-			<displayItem lang="en" name="name">section:Title</displayItem>
-			<displayItem lang="zh" name="name">section:Title</displayItem>
+		  <displayItem assigned="true" dictionary="collectionConfig" key="section_Title" name="name"/>
 		</index>
 		<index name="document:text">
-			<displayItem lang="es" name="name">document:text</displayItem>
-			<displayItem lang="fr" name="name">document:text</displayItem>
-			<displayItem lang="ru" name="name">document:text</displayItem>
-			<displayItem lang="en" name="name">document:text</displayItem>
-			<displayItem lang="zh" name="name">document:text</displayItem>
+		  <displayItem assigned="true" dictionary="collectionConfig" key="document_text" name="name"/>  
 		</index>
 		<defaultIndex name="section:text"/>
@@ -275,7 +259,7 @@
 	<displayItem assigned="true" dictionary="collectionConfig" key="description3" name="description20"/>
 	<displayItem assigned="true" dictionary="collectionConfig" key="description1" name="description21"/>
-	<displayItem assigned="true" dictionary="collectionConfig" key=".section:Title" name=".section:Title"/>
-	<displayItem assigned="true" dictionary="collectionConfig" key=".section:text" name=".section:text"/>
-	<displayItem assigned="true" dictionary="collectionConfig" key=".document:text" name=".document:text"/>
-	<displayItem assigned="true" dictionary="collectionConfig" key=".document" name=".document"/>
+	<displayItem assigned="true" dictionary="collectionConfig" key="section_Title" name="section_Title"/>
+	<displayItem assigned="true" dictionary="collectionConfig" key="section_text" name="section_text"/>
+	<displayItem assigned="true" dictionary="collectionConfig" key="document_text" name="document_text"/>
+	<displayItem assigned="true" dictionary="collectionConfig" key="document" name="document"/>
 </CollectionConfig>
Index: /documented-examples/trunk/dls-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/dls-e/resources/collectionConfig.properties	(revision 36364)
+++ /documented-examples/trunk/dls-e/resources/collectionConfig.properties	(revision 36365)
@@ -1,7 +1,7 @@
 name=Development Library Subset collection
-.section_Title=section titles
-.section_text=chapters
-.document_text=entire documents
-.document=_textdocument_
+section_Title=section titles
+section_text=chapters
+document_text=entire documents
+document=_textdocument_
 		
 shortDescription=<p>The Humanitarian Development Libraries represent a large collection of practical information aimed at helping reduce poverty, increasing human potential, and providing a practical and useful education for all. This subset contains about 25 publications--documents, reports, and periodical articles--in various areas of human development, from agricultural practice to economic policies, from water and sanitation to society and culture, from education to manufacturing, from disaster mitigation to micro-enterprises.</p>
Index: /documented-examples/trunk/dls-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/dls-e/resources/collectionConfig_es.properties	(revision 36364)
+++ /documented-examples/trunk/dls-e/resources/collectionConfig_es.properties	(revision 36365)
@@ -1,6 +1,6 @@
 name=Subconjunto de la Biblioteca para el Desarrollo
-.section_Title=tÃ­tulos de las secciones
-.section_text=capÃ­tulos
-.document_text=documentos completos
+section_Title=tÃ­tulos de las secciones
+section_text=capÃ­tulos
+document_text=documentos completos
 
 shortDescription=<p>Las Bibliotecas sobre Desarrollo Humanitario representan una extensa colecciÃ³n de informaciÃ³n prÃ¡ctica cuyo propÃ³sito es ayudar a reducir la pobreza, acrecentar el potencial humano y proveer una educaciÃ³n prÃ¡ctica y Ãºtil para todos. Este subconjunto comprende unas 25 publicaciones - documentos, informes tÃ©cnicos y artÃ­culos de publicaciones periÃ³dicas - en varias Ã¡reas del desarrollo humano, desde prÃ¡cticas agrÃ­colas a polÃ­ticas econÃ³micas, desde agua y saneamiento a sociedad y cultura, desde educaciÃ³n a manufactura, desde mitigaciÃ³n de desastres a microemprendimientos.</p>
Index: /documented-examples/trunk/dls-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/dls-e/resources/collectionConfig_fr.properties	(revision 36364)
+++ /documented-examples/trunk/dls-e/resources/collectionConfig_fr.properties	(revision 36365)
@@ -1,6 +1,6 @@
 name=Sous-ensemble de la collection BibliothÃšque de DÃ©veloppement
-.section_Title=titres des sections
-.section_text=chapitres
-.document_text=documents entiers
+section_Title=titres des sections
+section_text=chapitres
+document_text=documents entiers
 		
 shortDescription=<p>Les BibliothÃšques humanitaires pour le DÃ©veloppement constituent une collection importante dont les objectifs sont d'aider Ã  rÃ©duire la pauvretÃ©, de promouvoir l'accroissement du potentiel humain, et d'offrir une Ã©ducation pratique et utile Ã  tous. Cette collection contient environ 25 publications -- documents, rapports, et articles de pÃ©riodiques -- qui traitent de diffÃ©rents sujets liÃ©s au dÃ©veloppement humain. On y trouve des informations concernant les pratiques agricoles aussi bien que les politiques Ã©conomiques; les mesures d'hygiÃšne pour l'eau et la sociÃ©tÃ© et la culture; l'Ã©ducation et la petite industrie; la prÃ©vention des dÃ©sastres et les micro-entreprises.</p>
Index: /documented-examples/trunk/dls-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/dls-e/resources/collectionConfig_zh.properties	(revision 36364)
+++ /documented-examples/trunk/dls-e/resources/collectionConfig_zh.properties	(revision 36365)
@@ -1,6 +1,6 @@
 name=åå±åŸä¹ŠéŠå­éŠè
-.section_Title=èæ é¢
-.section_text=ç« 
-.document_text=æŽäžªææ¡£
+section_Title=èæ é¢
+section_text=ç« 
+document_text=æŽäžªææ¡£
 
 		