Index: /documented-examples/trunk/wiki-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/wiki-e/resources/collectionConfig.properties	(revision 36366)
+++ /documented-examples/trunk/wiki-e/resources/collectionConfig.properties	(revision 36367)
@@ -1,6 +1,6 @@
 name=MediaWiki collection
-.Title=Titles
-.text=Text
-.Source=Filenames
+index_Title=Titles
+index_text=Text
+index_Source=Filenames
 
 
Index: /documented-examples/trunk/wiki-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/wiki-e/resources/collectionConfig_es.properties	(revision 36366)
+++ /documented-examples/trunk/wiki-e/resources/collectionConfig_es.properties	(revision 36367)
@@ -1,7 +1,3 @@
 name=ColecciÃ³n MediaWiki
-.Title=Titles
-.text=Text
-.Source=Filenames
-
 
 shortDescription=<p>Esta colecciÃ³n de demostraciÃ³n estÃ¡ hecha en base al sitio Wiki de Greenstone. Muestra la nueva caracterÃ­stica que permite la construcciÃ³n de una colecciÃ³n de Greenstone desde el sitio MediaWiki de Greenstone.</p>
Index: /documented-examples/trunk/wiki-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/wiki-e/resources/collectionConfig_fr.properties	(revision 36366)
+++ /documented-examples/trunk/wiki-e/resources/collectionConfig_fr.properties	(revision 36367)
@@ -1,7 +1,3 @@
 name=Collection d'Ã©lÃ©ments au format MediaWiki
-.Title=Titles
-.text=Text
-.Source=Filenames
-
 
 shortDescription=<p>Cette collection de dÃ©monstration est constituÃ©e Ã  partir du site web du wiki Greenstone. Elle montre la nouvelle possibilitÃ© de crÃ©er une collection Greenstone Ã  partir d'un site web MediaWiki.</p>
Index: cumented-examples/trunk/wiki-e/resources/collectionConfig_ru.properties
===================================================================
--- /documented-examples/trunk/wiki-e/resources/collectionConfig_ru.properties	(revision 36366)
+++ 	(revision )
@@ -1,24 +1,0 @@
-name=ÐÑÐžÐŒÐµÑ MARC
-.Title=
-.text=
-.Source=
-sampleoid=D0s156
-
-shortDescription=<p>This collection, which contains _about:numdocs_ MARC entries, is based on the MARC records of working papers published by <a href="http://www.cs.waikato.ac.nz">Computer Science Department</a> at <a href="http://www.waikato.ac.nz">the University of Waikato</a>. <a href="?a=d&d=_sampleoid_">ÐÐŽÐµÑÑ</a> Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœ ÑÐžÐ¿ÐŸÐ²ÐŸÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑ ÐŽÐ°ÐœÐœÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž.</p>
-
-description1=<h3>ÐÐ°Ðº ÑÐ°Ð±ÐŸÑÐ°ÐµÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ</h3><p><a href="_httpcollection_/etc/collect.cfg" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ Ð¿Ð»Ð°Ð³ÐžÐœÑ <i>ZIPPlug</i> Ðž <i>MARCPlug</i>, Ð¿ÐŸÐŒÐžÐŒÐŸ ÑÑÐµÑÑÐµÐ³ÐŸ ÑÑÐ°ÐœÐŽÐ°ÑÑÐ°. ÐÐŒÐµÑÑÑÑ ÑÑÐž ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐµ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ (dc.Title)</i>, <i>Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»Ñ (dc.Creator)</i> Ðž <i>ÐÑÐµÐŽÐŒÐµÑÐ° (dc.Subject)</i>. <!-- _text1_ -->The <i>dc.Title</i> classifier is an AZList, while the other two are AZCompactList, which groups items with the same metadata into a bookshelf. The <i>-removesuffix</i> argument for the <i>Title</i> and <i>Creator</i> classifiers removes suffixes from the metadata string (<i>dc.Title</i> and <i>dc.Creator</i> respectively). Ð­ÑÐŸ ÑÑÐµÐ±ÑÐµÑ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž PERL ÐŽÐ»Ñ Ð¿ÑÐ°Ð²ÐžÐ»ÑÐœÐŸÐ³ÐŸ Ð²ÑÑÐ°Ð¶ÐµÐœÐžÑ, Ðž ÑÑÐµÐ·Ð°ÐµÑ Ð·ÐœÐ°ÐºÐž (ÑÐžÐ¿Ð° ÐºÐŸÐœÐµÑÐœÑÑ
- Ð·ÐœÐ°ÐºÐŸÐ² Ð¿ÑÐµÐ¿ÐžÐœÐ°ÐœÐžÑ) ÐžÐ· ÑÑÑÐŸÐºÐž ÐŽÐ»Ñ ÐŸÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ.</p>
-
-description2=<p><!-- _text2_ --> The <i>VList</i> format statement controls the display of search results and all classifiers. For bookshelves, the number of leaf documents is displayed on the right-hand side. For documents, <i>dc.Title</i> is displayed, along with <i>dc.Creator</i> and <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> is used as dc.Creator has multiple values, and specifies that all values be output, not just the first one.</p>
-
-description3=<p>ÐÐ»Ð°Ð³ÐžÐœ MARC ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ ÑÐ¿ÐµÑÐžÐ°Ð»ÑÐœÑÐ¹ ÑÐ°Ð¹Ð» ÐŽÐ»Ñ ÑÐŸÐ¿ÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÑ ÐœÐŸÐŒÐµÑÐ° Ð¿ÐŸÐ»Ñ Ð² MARC Ðž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- Greenstone. Ð­ÑÐŸÑ ÑÐ°Ð¹Ð» ÐœÐ°Ñ
-ÐŸÐŽÐžÑÑÑ Ð² ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž <i>gsdl/etc</i> Ðž ÐœÐ°Ð·ÑÐ²Ð°ÐµÑÑÑ <a href="_httpsite_/etc/marc2dc.txt" target=marc2dc>marc2dc.txt</a>. ÐÐœ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÐµÑ ÑÐ¿ÐžÑÐŸÐº ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÐžÑ ÐŒÐµÐ¶ÐŽÑ ÐœÐŸÐŒÐµÑÐ°ÐŒÐž Ð¿ÐŸÐ»ÐµÐ¹ ÑÐžÑÑÐµÐŒÑ MARC Ðž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž Greenstone. ï¿œÑÐ±ÑÐµ Ð¿ÐŸÐ»Ñ MARC, ÐºÐŸÑÐŸÑÑÐµ ÐœÐµ Ð²ÐœÐµÑÐµÐœÑ Ð² ÑÐ¿ÐžÑÐŸÐº, Ð¿ÑÐŸÑÑÐŸ ÐœÐµ Ð¿ÐŸÑÐ²Ð»ÑÑÑÑÑ ÐºÐ°Ðº ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ, Ñ
-ÐŸÑÑ ÐŸÐœÐž Ð¿ÑÐžÑÑÑÑÑÐ²ÑÑÑ Ð² ÐŽÐŸÐºÑÐŒÐµÐœÑÐµ Greenstone. ÐÐ°Ð¶ÐŽÐ°Ñ ÑÑÑÐŸÐºÐ° Ð² ÑÑÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ ÐžÐŒÐµÐµÑ ÑÐ»ÐµÐŽÑÑÑÐžÐ¹ ÑÐŸÑÐŒÐ°Ñ.  <blockquote> &lt;MARC field number&gt; -&gt; GreenstoneMetadataName </blockquote> Ð¡ÑÑÐŸÐºÐž Ð² ÐŽÐ°ÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ, ÐºÐŸÑÐŸÑÑÐµ ÐœÐ°ÑÐžÐœÐ°ÑÑÑÑ ÑÐŸ Ð·ÐœÐ°ÐºÐ° "\#", ÑÐ²Ð»ÑÑÑÑÑ ÐºÐŸÐŒÐŒÐµÐœÑÐ°ÑÐžÑÐŒÐž.</p>
-
-description4=<p>Ð¡ÑÐ°ÐœÐŽÐ°ÑÑÐœÐ°Ñ Ð²ÐµÑÑÐžÑ ÑÑÐŸÐ³ÐŸ ÑÐ°Ð¹Ð»Ð° ÑÐ²ÐŸÐ±ÐŸÐŽÐœÐŸ Ð±Ð°Ð·ÐžÑÑÐµÑÑÑ ÐœÐ° MARC Ð² ÐŸÐ¿ÐžÑÐ°ÐœÐžÐž Dublin Core, ÐºÐŸÑÐŸÑÐŸÐµ Ð²ÐŸÑÐ¿ÑÐžÐœÐžÐŒÐ°ÐµÑ USMARC/MARC21 Ðž ÐºÐŸÑÐŸÑÐŸÐµ ÐŒÐŸÐ¶ÐœÐŸ ÐœÐ°Ð¹ÑÐž ÐœÐ° <a href="http://www.loc.gov/marc/marc2dc.html">http://www.loc.gov/marc/marc2dc.html</a>.
-
-description5=<p>Multiple MARC fields may map to a single Dublin Core field. For example, fields 720 ("Uncontrolled name"), 100 ("Personal name"), 110 ("Corporate name") and 111 ("Meeting name") all map to <i>dc.Creator</i>. Actual MARC records normally define only one of these fields, and anyway Greenstone allows multi-valued metadata.</p>
-
-description6=<p>Some mappings are dependent on subfields. For example, MARC field 260 contains information about publication and distribution. Subfields "c" (Date of Publication) and "g" (Date of manufacture) are mapped to <i>dc.Date</i>, using the following mapping line: <blockquote> 260$c$g -&gt; dc.Date </blockquote>  Greenstone also provides a file for mapping MARC to <b>qualified</b> dublin core: <a href="_httpsite_/etc/marc2qdc.txt" target=marc2qdc>greenstone/etc/marc2qdc.txt</a>. This can be used by the MARC plugin by setting the <i>-metadata_mapping_file</i> option to "marc2qdc.txt".</p>
Index: /documented-examples/trunk/wiki-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/wiki-e/resources/collectionConfig_zh.properties	(revision 36366)
+++ /documented-examples/trunk/wiki-e/resources/collectionConfig_zh.properties	(revision 36367)
@@ -1,7 +1,3 @@
 name=MediaWikiéŠè
-.Title=Titles
-.text=Text
-.Source=Filenames
-
 
 shortDescription=<p>æ¬æŒç€ºéŠèæå»ºäºGreenstoneç»Žåºçœç«ãå®æŒç€ºGreenstoneä»äžäžªMediaWikiçœç«äž­åå»ºéŠèçåèœã</p>