Index: /documented-examples/trunk/dls-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/dls-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/dls-e/etc/collectionConfig.xml	(revision 36368)
@@ -35,5 +35,5 @@
 	<format/>
 	<search type="mg">
-	        <index name="section:text">
+	    <index name="section:text">
 	    	  <displayItem assigned="true" dictionary="collectionConfig" key="section_text" name="name"/>
 		</index>
Index: /documented-examples/trunk/gsarch-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/gsarch-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/gsarch-e/etc/collectionConfig.xml	(revision 36368)
@@ -25,23 +25,11 @@
 	<search type="mg">
 		<index name="document:From">
-			<displayItem lang="es" name="name">document:From</displayItem>
-			<displayItem lang="fr" name="name">document:From</displayItem>
-			<displayItem lang="ru" name="name">document:From</displayItem>
-			<displayItem lang="en" name="name">document:From</displayItem>
-			<displayItem lang="zh" name="name">document:From</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_from" name="name"/>
 		</index>
 		<index name="document:text">
-			<displayItem lang="es" name="name">document:text</displayItem>
-			<displayItem lang="fr" name="name">document:text</displayItem>
-			<displayItem lang="ru" name="name">document:text</displayItem>
-			<displayItem lang="en" name="name">document:text</displayItem>
-			<displayItem lang="zh" name="name">document:text</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_text" name="name"/>
 		</index>
 		<index name="document:Subject">
-			<displayItem lang="es" name="name">document:Subject</displayItem>
-			<displayItem lang="fr" name="name">document:Subject</displayItem>
-			<displayItem lang="ru" name="name">document:Subject</displayItem>
-			<displayItem lang="en" name="name">document:Subject</displayItem>
-			<displayItem lang="zh" name="name">document:Subject</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_subject" name="name"/>
 		</index>
 		<defaultIndex name="document:text"/>
Index: /documented-examples/trunk/gsarch-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/gsarch-e/resources/collectionConfig.properties	(revision 36367)
+++ /documented-examples/trunk/gsarch-e/resources/collectionConfig.properties	(revision 36368)
@@ -4,7 +4,7 @@
 Date=Date
 From=From
-.document\:text=Messages
-.document\:Subject=Subject lines
-.document\:From=From fields
+index_text=Messages
+index_subject=Subject lines
+index_from=From fields
 		
 shortDescription=<p>This is a collection of email messages from the Greenstone mailing list archives, from November/December, 2008.</p>
Index: /documented-examples/trunk/gsarch-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/gsarch-e/resources/collectionConfig_es.properties	(revision 36367)
+++ /documented-examples/trunk/gsarch-e/resources/collectionConfig_es.properties	(revision 36368)
@@ -4,7 +4,7 @@
 Date=Fecha
 From=De
-.document\:text=Mensaje
-.document\:Subject=LÃ­neas del Asunto
-.document\:From=Campo Emisor
+index_text=Mensaje
+index_subject=LÃ­neas del Asunto
+index_from=Campo Emisor
 		
 shortDescription=<p>Esta es una colecciÃ³n de mensajes de email del archivo de la lista de mailing de Greenstone, de Noviembre/Diciembre de 2008.</p>
Index: /documented-examples/trunk/gsarch-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/gsarch-e/resources/collectionConfig_fr.properties	(revision 36367)
+++ /documented-examples/trunk/gsarch-e/resources/collectionConfig_fr.properties	(revision 36368)
@@ -4,7 +4,7 @@
 Date=Date
 From=De
-.document\:text=Messages
-.document\:Subject=Lignes de sujets
-.document\:From=Champs De
+index_text=Messages
+index_subject=Lignes de sujets
+index_from=Champs De
 		
 shortDescription=<p>Cette collection est composÃ©e de messages Ã©lectroniques extraits des archives de la liste de diffusion Greenstone, publiÃ©s entre novembre et dÃ©cembre 2008.</p>
Index: /documented-examples/trunk/gsarch-e/resources/collectionConfig_ru.properties
===================================================================
--- /documented-examples/trunk/gsarch-e/resources/collectionConfig_ru.properties	(revision 36367)
+++ /documented-examples/trunk/gsarch-e/resources/collectionConfig_ru.properties	(revision 36368)
@@ -5,7 +5,7 @@
 Date=ÐÐ°ÑÐ°
 From=ÐÑ
-.document\:text=Ð¡ÐŸÐŸÐ±ÑÐµÐœÐžÑ
-.document\:Subject=Ð¡ÑÑÐŸÐºÐž Ð¿ÑÐµÐŽÐŒÐµÑÐ°
-.document\:From=ÐÐ· Ð¿ÐŸÐ»ÐµÐ¹
+index_text=Ð¡ÐŸÐŸÐ±ÑÐµÐœÐžÑ
+index_subject=Ð¡ÑÑÐŸÐºÐž Ð¿ÑÐµÐŽÐŒÐµÑÐ°
+index_from=ÐÐ· Ð¿ÐŸÐ»ÐµÐ¹
 		
 shortDescription=<p>This is a collection of email messages from the Greenstone mailing list archives, from November/December, 2008.</p>
Index: /documented-examples/trunk/gsarch-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/gsarch-e/resources/collectionConfig_zh.properties	(revision 36367)
+++ /documented-examples/trunk/gsarch-e/resources/collectionConfig_zh.properties	(revision 36368)
@@ -5,8 +5,8 @@
 Date=æ¥æ
 From=æ¥èª
-.document\:text=æ¶æ¯
-.document\:Subject=äž»é¢è¡
-.document\:From=æ¥èªå­æ®µ
-		
+index_text=æ¶æ¯
+index_subject=äž»é¢è¡
+index_from=æ¥èªå­æ®µ
+
 shortDescription=<p>æ¬éŠèç±Greenstoneé®ä»¶åè¡šææ¡£äž­2008å¹Ž11æäž12æçemailæ¶æ¯ç»æã</p>
 
Index: /documented-examples/trunk/isis-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/isis-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/isis-e/etc/collectionConfig.xml	(revision 36368)
@@ -32,18 +32,4 @@
 		<displayItem assigned="true" dictionary="collectionConfig" key="Edition" name="Edition"/>
 		<displayItem assigned="true" dictionary="collectionConfig" key="Meetings" name="Meetings"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Notes^all" name=".Notes^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".PersonalAuthors^all" name=".PersonalAuthors^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".AddedTitle^all" name=".AddedTitle^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Imprint^all" name=".Imprint^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".ConferenceMainEntry^all" name=".ConferenceMainEntry^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".CorporateBodies^all" name=".CorporateBodies^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Series^all" name=".Series^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".OtherLanguageTitles^all" name=".OtherLanguageTitles^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Keywords^all" name=".Keywords^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Collation^all" name=".Collation^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Title^all" name=".Title^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".text" name=".text"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Meetings^all" name=".Meetings^all"/>
-		<displayItem assigned="true" dictionary="collectionConfig" key=".Edition^all" name=".Edition^all"/>
 	</displayItemList>
 	<format/>
@@ -51,18 +37,46 @@
 		<level name="document"/>
 		<defaultLevel name="document"/>
-		<index name="PersonalAuthors^all"/>
-		<index name="ConferenceMainEntry^all"/>
-		<index name="CorporateBodies^all"/>
-		<index name="text"/>
-		<index name="OtherLanguageTitles^all"/>
-		<index name="Series^all"/>
-		<index name="Keywords^all"/>
-		<index name="Imprint^all"/>
-		<index name="Collation^all"/>
-		<index name="Edition^all"/>
-		<index name="Notes^all"/>
-		<index name="Title^all"/>
-		<index name="AddedTitle^all"/>
-		<index name="Meetings^all"/>
+		<index name="PersonalAuthors^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="PersonalAuthors^all" name="name"/>
+		</index>
+		<index name="ConferenceMainEntry^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="ConferenceMainEntry^all" name="name"/>
+		</index>
+		<index name="CorporateBodies^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="CorporateBodies^all" name="name"/>
+		</index>
+		<index name="text">
+			<displayItem assigned="true" dictionary="collectionConfig" key="text" name="name"/>
+		</index>
+		<index name="OtherLanguageTitles^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="OtherLanguageTitles^all" name="name"/>
+		</index>
+		<index name="Series^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Series^all" name="name"/>
+		</index>
+		<index name="Keywords^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Keywords^all" name="name"/>
+		</index>
+		<index name="Imprint^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Imprint^all" name="name"/>
+		</index>
+		<index name="Collation^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Collation^all" name="name"/>
+		</index>
+		<index name="Edition^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Edition^all" name="name"/>
+		</index>
+		<index name="Notes^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Notes^all" name="name"/>
+		</index>
+		<index name="Title^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Title^all" name="name"/>
+		</index>
+		<index name="AddedTitle^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="AddedTitle^all" name="name"/>
+		</index>
+		<index name="Meetings^all">
+			<displayItem assigned="true" dictionary="collectionConfig" key="Meetings^all" name="name"/>
+		</index>
 		<defaultIndex name="ConferenceMainEntry^all"/>
 		<indexOption name="casefold"/>
Index: /documented-examples/trunk/isis-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/isis-e/resources/collectionConfig.properties	(revision 36367)
+++ /documented-examples/trunk/isis-e/resources/collectionConfig.properties	(revision 36368)
@@ -18,18 +18,18 @@
 Meetings=Meetings
 
-.Notes^all=notes
-.PersonalAuthors^all=personal authors
-.AddedTitle^all=added title
-.Imprint^all=imprint
-.ConferenceMainEntry^all=conference main entry
-.CorporateBodies^all=corporate bodies
-.Series^all=series
-.OtherLanguageTitles^all=other language titles
-.Keywords^all=keywords
-.Collation^all=collation
-.Title^all=title
-.text=raw record
-.Meetings^all=meetings
-.Edition^all=edition		
+Notes^all=notes
+PersonalAuthors^all=personal authors
+AddedTitle^all=added title
+Imprint^all=imprint
+ConferenceMainEntry^all=conference main entry
+CorporateBodies^all=corporate bodies
+Series^all=series
+OtherLanguageTitles^all=other language titles
+Keywords^all=keywords
+Collation^all=collation
+Title^all=title
+text=raw record
+Meetings^all=meetings
+Edition^all=edition		
 
 shortDescription=<p>This collection shows a <a href="http://portal.unesco.org/ci/ev.php?URL_ID=2071&amp;URL_DO=DO_TOPIC&amp;URL_SECTION=201">CDS/ISIS</a> database of bibliography entries. <a href="?a=d&amp;d=_sampleoid_= Here</a> is an example record.</p>
Index: /documented-examples/trunk/isis-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/isis-e/resources/collectionConfig_es.properties	(revision 36367)
+++ /documented-examples/trunk/isis-e/resources/collectionConfig_es.properties	(revision 36368)
@@ -18,18 +18,18 @@
 
 
-.Notes^all=notas
-.PersonalAuthors^all=autores personales
-.AddedTitle^all=titulo aÃ±adido
-.Imprint^all=impresiÃ³n
-.ConferenceMainEntry^all=entrada principal de la conferencia
-.CorporateBodies^all=persona jurÃ­dica
-.Series^all=serie(s)
-.OtherLanguageTitles^all=tÃ­tulos en otros idiomas
-.Keywords^all=palabras clave
-.Collation^all=codificaciÃ³n
-.Title^all=tÃ­tulo
-.text=registro sin procesar
-.Meetings^all=reuniones
-.Edition^all=ediciÃ³n
+Notes^all=notas
+PersonalAuthors^all=autores personales
+AddedTitle^all=titulo aÃ±adido
+Imprint^all=impresiÃ³n
+ConferenceMainEntry^all=entrada principal de la conferencia
+CorporateBodies^all=persona jurÃ­dica
+Series^all=serie(s)
+OtherLanguageTitles^all=tÃ­tulos en otros idiomas
+Keywords^all=palabras clave
+Collation^all=codificaciÃ³n
+Title^all=tÃ­tulo
+text=registro sin procesar
+Meetings^all=reuniones
+Edition^all=ediciÃ³n
 		
 
Index: /documented-examples/trunk/isis-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/isis-e/resources/collectionConfig_fr.properties	(revision 36367)
+++ /documented-examples/trunk/isis-e/resources/collectionConfig_fr.properties	(revision 36368)
@@ -18,18 +18,18 @@
 
 
-.Notes^all=notes
-.PersonalAuthors^all=auteurs personnels
-.AddedTitle^all=titre ajoutÃ©
-.Imprint^all=imprimer
-.ConferenceMainEntry^all=entrÃ©e principale de confÃ©rence
-.CorporateBodies^all=organismes d'entreprise
-.Series^all=sÃ©ries
-.OtherLanguageTitles^all=titres dans d'autres langues
-.Keywords^all=mots-clÃ©s
-.Collation^all=collation
-.Title^all=titre
-.text=Enregistrement brut
-.Meetings^all=rÃ©unions
-.Edition^all=edition
+Notes^all=notes
+PersonalAuthors^all=auteurs personnels
+AddedTitle^all=titre ajoutÃ©
+Imprint^all=imprimer
+ConferenceMainEntry^all=entrÃ©e principale de confÃ©rence
+CorporateBodies^all=organismes d'entreprise
+Series^all=sÃ©ries
+OtherLanguageTitles^all=titres dans d'autres langues
+Keywords^all=mots-clÃ©s
+Collation^all=collation
+Title^all=titre
+text=Enregistrement brut
+Meetings^all=rÃ©unions
+Edition^all=edition
 		
 shortDescription=<p>Cette collection montre une base de donnÃ©es <a href="http://portal.unesco.org/ci/ev.php?URL_ID=2071&amp;URL_DO=DO_TOPIC&amp;URL_SECTION=201">CDS/ISIS</a> d'entrÃ©es bibliographiques. <a href="?a=d&d=_sampleoid_">Voici</a> un exemple d'enregistrement.</p>
Index: /documented-examples/trunk/isis-e/resources/collectionConfig_ru.properties
===================================================================
--- /documented-examples/trunk/isis-e/resources/collectionConfig_ru.properties	(revision 36367)
+++ /documented-examples/trunk/isis-e/resources/collectionConfig_ru.properties	(revision 36368)
@@ -19,21 +19,21 @@
 Meetings=Ð²ÑÑÑÐµÑÐž
 
-.Notes^all=Ð¿ÑÐžÐŒÐµÑÐ°ÐœÐžÑ
-.PersonalAuthors^all=Ð¿ÐµÑÑÐŸÐœÐ°Ð»ÑÐœÑÐµ Ð°Ð²ÑÐŸÑÑ
-.AddedTitle^all=ÐŽÐŸÐ±Ð°Ð²Ð»ÐµÐœÐœÐŸÐµ ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ
-.Imprint^all=ÐŸÑÑÐžÑÐº
-.ConferenceMainEntry^all=Ð³Ð»Ð°Ð²ÐœÑÐ¹ Ð²Ñ
+Notes^all=Ð¿ÑÐžÐŒÐµÑÐ°ÐœÐžÑ
+PersonalAuthors^all=Ð¿ÐµÑÑÐŸÐœÐ°Ð»ÑÐœÑÐµ Ð°Ð²ÑÐŸÑÑ
+AddedTitle^all=ÐŽÐŸÐ±Ð°Ð²Ð»ÐµÐœÐœÐŸÐµ ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ
+Imprint^all=ÐŸÑÑÐžÑÐº
+ConferenceMainEntry^all=Ð³Ð»Ð°Ð²ÐœÑÐ¹ Ð²Ñ
 ÐŸÐŽ ÐºÐŸÐœÑÐµÑÐµÐœÑÐžÐž
-.CorporateBodies^all=ÐºÐŸÑÐ¿ÐŸÑÐ°ÑÐžÐ²ÐœÑÐµ ÑÐµÐ»Ð°
-.Series^all=ÑÑÐŽ/ÑÐµÑÐžÐž
-.OtherLanguageTitles^all=ÐœÐ°Ð·Ð²Ð°ÐœÐžÑ ÐœÐ° ÐŽÑÑÐ³ÐžÑ
+CorporateBodies^all=ÐºÐŸÑÐ¿ÐŸÑÐ°ÑÐžÐ²ÐœÑÐµ ÑÐµÐ»Ð°
+Series^all=ÑÑÐŽ/ÑÐµÑÐžÐž
+OtherLanguageTitles^all=ÐœÐ°Ð·Ð²Ð°ÐœÐžÑ ÐœÐ° ÐŽÑÑÐ³ÐžÑ
  ÑÐ·ÑÐºÐ°Ñ
 
-.Keywords^all=ÐºÐ»ÑÑÐµÐ²ÑÐµ ÑÐ»ÐŸÐ²Ð°
-.Collation^all=ÑÐŸÐ¿ÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ
-.Title^all=ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ
-.text=ÐœÐµÐŸÐ±ÑÐ°Ð±ÐŸÑÐ°ÐœÐœÐ°Ñ Ð·Ð°Ð¿ÐžÑÑ
-.Meetings^all=Ð²ÑÑÑÐµÑÐž
-.Edition^all=ÐžÐ·ÐŽÐ°ÐœÐžÐµ
+Keywords^all=ÐºÐ»ÑÑÐµÐ²ÑÐµ ÑÐ»ÐŸÐ²Ð°
+Collation^all=ÑÐŸÐ¿ÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ
+Title^all=ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ
+text=ÐœÐµÐŸÐ±ÑÐ°Ð±ÐŸÑÐ°ÐœÐœÐ°Ñ Ð·Ð°Ð¿ÐžÑÑ
+Meetings^all=Ð²ÑÑÑÐµÑÐž
+Edition^all=ÐžÐ·ÐŽÐ°ÐœÐžÐµ
 
 shortDescription=<p>Ð­ÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÐŸÐºÐ°Ð·ÑÐ²Ð°ÐµÑ Ð±Ð°Ð·Ñ ÐŽÐ°ÐœÐœÑÑ
Index: /documented-examples/trunk/isis-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/isis-e/resources/collectionConfig_zh.properties	(revision 36367)
+++ /documented-examples/trunk/isis-e/resources/collectionConfig_zh.properties	(revision 36368)
@@ -22,33 +22,33 @@
 
 
-.Notes^all=å
+Notes^all=å
 šéšæ³šé
-.PersonalAuthors^all=å
+PersonalAuthors^all=å
 šéšäžªäœèè
 
-.AddedTitle^all=å
+AddedTitle^all=å
 šéšéå é¢å
-.Imprint^all=å
+Imprint^all=å
 šéšå»æ¬
-.ConferenceMainEntry^all=å
+ConferenceMainEntry^all=å
 šéšäŒè®®äž»é¢æ¡ç®
-.CorporateBodies^all=å
+CorporateBodies^all=å
 šéšæºæå®äœ
-.Series^all=å
+Series^all=å
 šéšç³»å
-.OtherLanguageTitles^all=å
+OtherLanguageTitles^all=å
 šéšå
 ¶ä»è¯­ç§é¢å
-.Keywords^all=å
+Keywords^all=å
 šéšå
 ³é®è¯
-.Collation^all=å
+Collation^all=å
 šéšæ ¡æ¬
-.Title^all=å
+Title^all=å
 šéšé¢å
-.text=åå§è®°åœ
-.Meetings^all=å
+text=åå§è®°åœ
+Meetings^all=å
 šéšäŒè®®
-.Edition^all=å
+Edition^all=å
 šéšçæ¬
 		
Index: /documented-examples/trunk/lomdemo-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/lomdemo-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/lomdemo-e/etc/collectionConfig.xml	(revision 36368)
@@ -34,14 +34,14 @@
 		<defaultLevel name="document"/>
 		<index name="general^keyword">
-			<displayItem lang="en" name="name">general^keyword</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="general^keyword" name="name"/>
 		</index>
 		<index name="general^title">
-			<displayItem lang="en" name="name">general^title</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="general^title" name="name"/>
 		</index>
 		<index name="text,rawtext">
-			<displayItem lang="en" name="name">text,rawtext</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="text_and_rawtext" name="name"/>			
 		</index>
 		<index name="general^description">
-			<displayItem lang="en" name="name">general^description</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="general^description" name="name"/>
 		</index>
 		<defaultIndex name="text"/>
Index: /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties	(revision 36367)
+++ /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties	(revision 36368)
@@ -3,8 +3,8 @@
 name=LOM Demonstration
 ar=arts resources
-.general^title=Titles
-.general^description=Descriptions
-.text,rawtext=All text
-.general^keyword=Keywords
+general^title=Titles
+general^description=Descriptions
+general^keyword=Keywords
+text_and_rawtext=All text
 
 shortDescription=<p>This collection is a sample excerpt of educational resources from the University of Calgary's Learning Commons Educational Object Repository (no longer active). Taken from the subject areas of the arts and science, _numdocs_ items from the repository were exported in the IEEE LOM (Learning Object Metadata) format and digested into a Greenstone collection. For sample LOM metadata, see this <a href="_httpcollection_/import/arts/657841.xml">arts</a> record, or this <a href="_httpcollection_/import/science/582041.xml">science</a> record.</p>
Index: /documented-examples/trunk/marc-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/marc-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/marc-e/etc/collectionConfig.xml	(revision 36368)
@@ -22,7 +22,9 @@
 		<defaultLevel name="document"/>
 		<index name="text">
-			<displayItem lang="en" name="name">text</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_text" name="name"/>
 		</index>
-		<index name="dc.Title"/>
+		<index name="dc.Title">
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_Title" name="name"/>			
+		</index>
 		<defaultIndex name="text"/>
 		<indexOption name="casefold"/>
Index: /documented-examples/trunk/marc-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/marc-e/resources/collectionConfig.properties	(revision 36367)
+++ /documented-examples/trunk/marc-e/resources/collectionConfig.properties	(revision 36368)
@@ -1,6 +1,5 @@
 name=MARC example
-.Title=
-.text=
-.Source=
+index_text=text
+index_Title=Title
 sampleoid=D0s156
 
Index: /documented-examples/trunk/marc-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/marc-e/resources/collectionConfig_es.properties	(revision 36367)
+++ /documented-examples/trunk/marc-e/resources/collectionConfig_es.properties	(revision 36368)
@@ -1,6 +1,3 @@
 name=ColecciÃ³n de muestra MARC
-.Title=
-.text=
-.Source=
 sampleoid=D0s156
 
Index: /documented-examples/trunk/marc-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/marc-e/resources/collectionConfig_fr.properties	(revision 36367)
+++ /documented-examples/trunk/marc-e/resources/collectionConfig_fr.properties	(revision 36368)
@@ -1,6 +1,3 @@
 name=Exemple MARC
-.Title=
-.text=
-.Source=
 sampleoid=D0s156
 
Index: /documented-examples/trunk/marc-e/resources/collectionConfig_ru.properties
===================================================================
--- /documented-examples/trunk/marc-e/resources/collectionConfig_ru.properties	(revision 36367)
+++ /documented-examples/trunk/marc-e/resources/collectionConfig_ru.properties	(revision 36368)
@@ -1,6 +1,3 @@
 name=ÐÑÐžÐŒÐµÑ MARC
-.Title=
-.text=
-.Source=
 sampleoid=D0s156
 
Index: /documented-examples/trunk/marc-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/marc-e/resources/collectionConfig_zh.properties	(revision 36367)
+++ /documented-examples/trunk/marc-e/resources/collectionConfig_zh.properties	(revision 36368)
@@ -1,6 +1,3 @@
 name=MARCç€ºäŸéŠè
-.Title=
-.text=
-.Source=
 sampleoid=D0s156
 
Index: /documented-examples/trunk/oai-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/oai-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/oai-e/etc/collectionConfig.xml	(revision 36368)
@@ -28,12 +28,11 @@
 		<displayItem dictionary="collectionConfig" key="Subject" name="Subject"/>
 		<displayItem dictionary="collectionConfig" key="available" name="available"/>
-		<displayItem dictionary="collectionConfig" key="sampleoid" name="sampleoid"/>
-		<displayItem dictionary="collectionConfig" key=".document_ex.dc.Description" name=".document_ex.dc.Description"/>
-		<displayItem dictionary="collectionConfig" key=".document" name=".document"/>
+		<displayItem dictionary="collectionConfig" key="sampleoid" name="sampleoid"/>		
+		<displayItem dictionary="collectionConfig" key="document" name="document"/>
 	</displayItemList>
 	<format/>
 	<search type="mg">
 		<index name="document:ex.dc.Description">
-			<displayItem lang="en" name="name">photo captions</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_Description" name="name"/>
 		</index>
 		<defaultIndex name="document:ex.dc.Description"/>
Index: /documented-examples/trunk/oai-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/oai-e/resources/collectionConfig.properties	(revision 36367)
+++ /documented-examples/trunk/oai-e/resources/collectionConfig.properties	(revision 36368)
@@ -7,6 +7,6 @@
 available=available
 sampleoid=01dle6
-.document_ex.dc.Description=photo captions
-.document=Document
+index_Description=photo captions
+document=Document
 
 
Index: /documented-examples/trunk/oai-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/oai-e/resources/collectionConfig_es.properties	(revision 36367)
+++ /documented-examples/trunk/oai-e/resources/collectionConfig_es.properties	(revision 36368)
@@ -6,5 +6,5 @@
 original=original
 Subject=Asunto
-.document_Description=leyendas de la foto
+index_Description=leyendas de la foto
 
 
Index: /documented-examples/trunk/oai-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/oai-e/resources/collectionConfig_fr.properties	(revision 36367)
+++ /documented-examples/trunk/oai-e/resources/collectionConfig_fr.properties	(revision 36368)
@@ -6,5 +6,5 @@
 Subject=Sujet
 available=disponible
-.document_Description=LÃ©gendes de photos
+index_Description=LÃ©gendes de photos
 
 
Index: /documented-examples/trunk/oai-e/resources/collectionConfig_ru.properties
===================================================================
--- /documented-examples/trunk/oai-e/resources/collectionConfig_ru.properties	(revision 36367)
+++ /documented-examples/trunk/oai-e/resources/collectionConfig_ru.properties	(revision 36368)
@@ -6,5 +6,5 @@
 Subject=ÐÑÐµÐŽÐŒÐµÑ		
 available=ÐÐŸÑÑÑÐ¿ÐœÑÐ¹
-.document_Description=ÐÐ°Ð³ÐŸÐ»ÐŸÐ²ÐºÐž ÑÐŸÑÐŸÐ³ÑÐ°ÑÐžÐ¹		
+index_Description=ÐÐ°Ð³ÐŸÐ»ÐŸÐ²ÐºÐž ÑÐŸÑÐŸÐ³ÑÐ°ÑÐžÐ¹		
 
 
Index: /documented-examples/trunk/oai-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/oai-e/resources/collectionConfig_zh.properties	(revision 36367)
+++ /documented-examples/trunk/oai-e/resources/collectionConfig_zh.properties	(revision 36368)
@@ -6,5 +6,5 @@
 original=åå§
 available=å¯çš
-.document_dc.Description=ç
+index_Description=ç
 §çæ é¢
 
Index: /documented-examples/trunk/pagedimg-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/pagedimg-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/pagedimg-e/etc/collectionConfig.xml	(revision 36368)
@@ -22,8 +22,5 @@
 	<search type="mg">
 		<index name="section:text">
-			<displayItem lang="fr" name="name">section_text</displayItem>
-			<displayItem lang="zh" name="name">section_text</displayItem>
-			<displayItem lang="es" name="name">section_text</displayItem>
-			<displayItem lang="en" name="name">section_text</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="section_text" name="name"/>
 		</index>
 		<defaultIndex name="section:text"/>
Index: /documented-examples/trunk/wiki-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/wiki-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/wiki-e/etc/collectionConfig.xml	(revision 36368)
@@ -22,11 +22,11 @@
 		<defaultLevel name="document"/>
 		<index name="Source">
-			<displayItem lang="en" name="name">Source</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_Source" name="name"/>
 		</index>
 		<index name="Title">
-			<displayItem lang="en" name="name">Title</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_Title" name="name"/>
 		</index>
 		<index name="text">
-			<displayItem lang="en" name="name">text</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="index_text" name="name"/>
 		</index>
 		<defaultIndex name="text"/>
Index: /documented-examples/trunk/wrdpdf-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/wrdpdf-e/etc/collectionConfig.xml	(revision 36367)
+++ /documented-examples/trunk/wrdpdf-e/etc/collectionConfig.xml	(revision 36368)
@@ -20,9 +20,5 @@
 	<search type="mg">
 		<index name="document:text">
-			<displayItem lang="ru" name="name">document:text</displayItem>
-			<displayItem lang="es" name="name">document:text</displayItem>
-			<displayItem lang="zh" name="name">document:text</displayItem>
-			<displayItem lang="fr" name="name">document:text</displayItem>
-			<displayItem lang="en" name="name">document:text</displayItem>
+			<displayItem assigned="true" dictionary="collectionConfig" key="document_text" name="name"/>
 		</index>
 		<defaultIndex name="document:text"/>
Index: /documented-examples/trunk/wrdpdf-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/wrdpdf-e/resources/collectionConfig_zh.properties	(revision 36367)
+++ /documented-examples/trunk/wrdpdf-e/resources/collectionConfig_zh.properties	(revision 36368)
@@ -1,4 +1,4 @@
 name=åŸ®èœ¯WordäžPDFæŒç€ºéŠè
-section_text=ææ¡£
+document_text=ææ¡£
 
 shortDescription=<p>æ¬éŠèæŒç€ºGreenstoneçšäžåæ ŒåŒææ¡£åå»ºéŠèçåèœãæ¬éŠèæ¶åœäºè¥å¹²NZDLé¡¹ç®ç»æåæåçè®ºæïŒæPDFïŒåŸ®èœ¯Wordä»¥åPostscriptæ ŒåŒã </p>