Index: /documented-examples/trunk/style-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/style-e/etc/collectionConfig.xml	(revision 36370)
+++ /documented-examples/trunk/style-e/etc/collectionConfig.xml	(revision 36370)
@@ -0,0 +1,266 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:gslib="http://www.greenstone.org/skinning" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<metadataList>
+		<metadata lang="en" name="creator">greenstone@cs.waikato.ac.nz</metadata>
+		<metadata lang="en" name="maintainer"/>
+		<metadata lang="en" name="public">true</metadata>
+	</metadataList>
+	<displayItemList>
+		<displayItem dictionary="collectionConfig" key="name" name="name"/>
+		<displayItem lang="en" name="name">Cascading Style Sheets</displayItem>
+		<displayItem dictionary="collectionConfig" key="description1" name="description1"/>
+		<displayItem dictionary="collectionConfig" key="description2" name="description2"/>
+		<displayItem dictionary="collectionConfig" key="description3" name="description3"/>
+		<displayItem dictionary="collectionConfig" key="description4" name="description4"/>
+	</displayItemList>
+	<format>  <xsl:template name="additionalHeaderContent">
+    <xsl:variable name="httpCollection">
+      <xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
+    </xsl:variable>
+    <!--
+    <link href="{$httpCollection}/style/custom-style.css" rel="stylesheet" type="text/css"/>
+	-->
+<script src="{$httpCollection}/script/custom-script.js" type="text/javascript">
+</script>
+
+  </xsl:template>
+
+</format>
+	<search type="mgpp">
+		<index name="text">
+			<displayItem lang="en" name="name">text</displayItem>
+		</index>
+		<index name="dls.Keyword">
+			<displayItem lang="en" name="name">dls.Keyword</displayItem>
+		</index>
+		<index name="dls.Subject">
+			<displayItem lang="en" name="name">dls.Subject</displayItem>
+		</index>
+		<index name="dls.Organization">
+			<displayItem lang="en" name="name">dls.Organization</displayItem>
+		</index>
+		<index name="dls.Title,Title">
+			<displayItem lang="en" name="name">dls.Title,Title</displayItem>
+		</index>
+		<defaultIndex name="text"/>
+		<level name="section">
+			<displayItem lang="en" name="name">_textchapter_</displayItem>
+		</level>
+		<level name="document">
+			<displayItem lang="en" name="name">_textbook_</displayItem>
+		</level>
+		<defaultLevel name="section"/>
+		<indexOption name="casefold"/>
+		<indexOption name="stem"/>
+		<searchType name="plain"/>
+		<searchType name="simpleform"/>
+		<searchType name="advancedform"/>
+		<format>
+			<gsf:template match="documentNode">
+				<gsf:format-gs2><![CDATA[<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All': '):Title],[parent(All': '):Title]:}[link][Title][/link]</td>]]></gsf:format-gs2>
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:switch>
+						<gsf:metadata name="Title"/>
+						<gsf:when test="exists"><gsf:metadata name="Title"/>:</gsf:when>
+					</gsf:switch>
+					<gsf:link type="document">
+						<gsf:metadata name="Title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+		</format>
+	</search>
+	<infodb type="gdbm"/>
+	<import>
+		<pluginList>
+			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="HTMLPlugin">
+				<option name="-description_tags"/>
+			</plugin>
+			<plugin name="MetadataXMLPlugin"/>
+			<plugin name="ArchivesInfPlugin"/>
+			<plugin name="DirectoryPlugin"/>
+		</pluginList>
+	</import>
+	<browse>
+		<classifier name="List">
+			<option name="-metadata" value="dls.Title"/>
+			<option name="-partition_type_within_level" value="constant_size"/>
+		</classifier>
+		<classifier name="Hierarchy">
+			<option name="-metadata" value="dls.Subject"/>
+			<option name="-sort" value="dls.Title"/>
+		</classifier>
+		<classifier name="List">
+			<option name="-sort_leaf_nodes_using" value="dls.Title"/>
+			<option name="-metadata" value="dls.Organization"/>
+			<option name="-bookshelf_type" value="always"/>
+			<option name="-partition_type_within_level" value="constant_size"/>
+		</classifier>
+		<classifier name="List">
+			<option name="-metadata" value="dls.Keyword"/>
+			<option name="-buttonname" value="Howto"/>
+			<option name="-partition_type_within_level" value="constant_size"/>
+			<format>
+			<gsf:template match="documentNode">
+				<gsf:format-gs2><![CDATA[<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]]]></gsf:format-gs2>
+				<td>
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:link type="document">
+						<gsf:metadata name="dls.Keyword"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode">
+				<gsf:format-gs2><![CDATA[<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]]]></gsf:format-gs2>
+				<td>
+					<gsf:link type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:link type="classifier">
+						<gsf:metadata name="dls.Keyword"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+		</format>
+		</classifier>
+		<format>
+			<gsf:template match="documentNode">
+				<gsf:format-gs2><![CDATA[<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>]]></gsf:format-gs2>
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<span class="highlight">
+						<gsf:choose-metadata><gsf:metadata name="Title"/>Untitled</gsf:choose-metadata>
+					</span>
+					<gsf:switch>
+						<gsf:metadata name="Date"/>
+						<gsf:when test="exists">
+							<br/>
+							<small>
+								<i>_textdate_<gsf:metadata name="Date"/></i>
+							</small>
+						</gsf:when>
+					</gsf:switch>
+					<gsf:switch>
+						<gsf:metadata name="NumPages"/>
+						<gsf:when test="exists">
+							<br/>
+							<small>
+								<i>_textnumpages_<gsf:metadata name="NumPages"/></i>
+							</small>
+						</gsf:when>
+					</gsf:switch>
+					<gsf:switch>
+						<gsf:metadata name="Source"/>
+						<gsf:when test="exists">
+							<br/>
+							<small>
+								<i>_textsource_<gsf:metadata name="Source"/></i>
+							</small>
+						</gsf:when>
+					</gsf:switch>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode">
+				<gsf:format-gs2><![CDATA[<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>]]></gsf:format-gs2>
+				<td valign="top">
+					<gsf:link type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<span class="highlight">
+						<gsf:choose-metadata><gsf:metadata name="Title"/>Untitled</gsf:choose-metadata>
+					</span>
+					<gsf:switch>
+						<gsf:metadata name="Date"/>
+						<gsf:when test="exists">
+							<br/>
+							<small>
+								<i>_textdate_<gsf:metadata name="Date"/></i>
+							</small>
+						</gsf:when>
+					</gsf:switch>
+					<gsf:switch>
+						<gsf:metadata name="NumPages"/>
+						<gsf:when test="exists">
+							<br/>
+							<small>
+								<i>_textnumpages_<gsf:metadata name="NumPages"/></i>
+							</small>
+						</gsf:when>
+					</gsf:switch>
+					<gsf:switch>
+						<gsf:metadata name="Source"/>
+						<gsf:when test="exists">
+							<br/>
+							<small>
+								<i>_textsource_<gsf:metadata name="Source"/></i>
+							</small>
+						</gsf:when>
+					</gsf:switch>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode" mode="horizontal">
+				<gsf:format-gs2><![CDATA[[link][highlight][Title][/highlight][/link]]]></gsf:format-gs2>
+				<gsf:link type="classifier">
+					<span class="highlight">
+						<gsf:metadata name="Title"/>
+					</span>
+				</gsf:link>
+			</gsf:template>
+		</format>
+	</browse>
+	<display>
+		<format>
+			<gsf:option name="TOC" value="true"/>
+			<gsf:option name="AllowUserComments" value="false"/>
+<!--
+Overwriting this template allows you to change the heading of the document.
+-->
+<!--
+<gsf:template name="documentHeading"><span style="font-weight:bold; font-size: 120%;"><xsl:call-template name="choose-title"/></span></gsf:template>
+-->
+<!--
+Overwriting this template can be used to redefine the content of the whole document.This is useful for simple documents, but not recommended for more complex documents(e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
+-->
+<!--
+<gsf:template name="documentContent"><div id="gs-document"><xsl:call-template name="documentPre"/><xsl:call-template name="wrappedSectionImage"/><div id="gs-document-text"><xsl:call-template name="documentNodeText"/></div></div></gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of section headings.
+-->
+<!--
+<gsf:template name="sectionHeading"><xsl:call-template name="choose-title"/></gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of the top-level section.
+-->
+<!--
+<gsf:template name="topLevelSectionContent"><xsl:call-template name="wrappedSectionImage"/><xsl:call-template name="wrappedSectionText"/></gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of sections.
+-->
+<!--
+<gsf:template name="sectionContent"><xsl:call-template name="wrappedSectionImage"/><xsl:call-template name="wrappedSectionText"/></gsf:template>
+-->
+		</format>
+	</display>
+	<replaceListRef id="gs2-standard"/>
+</CollectionConfig>
Index: /documented-examples/trunk/style-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/style-e/resources/collectionConfig.properties	(revision 36370)
+++ /documented-examples/trunk/style-e/resources/collectionConfig.properties	(revision 36370)
@@ -0,0 +1,33 @@
+name=Cascading Style Sheets<br/> Demo collection
+
+dls.Organization=Organizations
+dls.Subject=Subjects
+index_text=Text
+index_document=Book
+index_section=Chapter
+dls.Title,Title=Titles
+dls.Keyword=How to
+depositormetadata={"name":"dls.Title","label":"Title","tooltip":"dls.Title: The title of this resource.","type":"text"}, {"name":"dls.Organization","label":"Organization","tooltip":"dls.Organization: The organization responsible for producing this resource.","type":"text"}, {"name":"dls.Subject","label":"Subject","tooltip":"dls.Subject: The subject of this resource.","type":"text"}, {"name":"dls.Keyword","label":"Keyword","tooltip":"dls.Keyword: A more specific indication of what the resource can be used for.","type":"text"}, {"name":"dls.Language","label":"Language","tooltip":"dls.Language: The language of this resource.","type":"text"}
+
+
+shortDescription=<p>This collection demonstrates Greenstone's use of Cascading Style Sheets (CSS) for visual formatting in web browsers. (Greenstone uses CSS instead of HTML tables since version 2.63.) On every page, you can change the style-sheet in effect, to modify that page's appearance.</p>
+
+description1=<p>This collection contains the same material as the original Greenstone demo collection.</p>
+
+description2=<p>An <a href='_httpcollection_/macros/extra.dm'>extra.dm</a> macro file is used by the collection to provide the stylesheet switching. This redefines a few macros from the <i>Style</i> package: <b>\_cssheader\_</b>, to link to multiple stylesheets; <b>\_optnavigationbar\_</b>, to display the links to click; and <b>\_pagescriptextra\_</b>, to facilitate the switching when a link is clicked.</p>
+
+description3=<p>If you want to download any of these stylesheets for your own collections, here are links to them: \n\
+<ul> \n\
+<li><a href='_httpimages_/style.css'>Default Greenstone Style</a></li> \n\
+<li><a href='_httpcstyle_/style-blue.css'>âOcean Blueâ theme</a></li> \n\
+<li><a href='_httpcstyle_/style-red.css'>âFire Redâ theme</a></li> \n\
+<li><a href='_httpimages_/style-print.css'>Printer</a></li> \n\
+</ul> \n\
+</p>
+
+description4=<p><b>Using a downloaded stylesheet</b> \n\
+<ul> \n\
+<li>To use a stylesheet as the default, place it in greenstone/web/style and rename it to style.css. This will affect all collections.</li> \n\
+<li>To use a stylesheet for a particular collection, place it in the collection's style directory, add an extra.dm file to the collection's macros directory, and add a macro like the following (this uses style-red.css as the example):<br/> <small><tt> <br/> package Style<br/> <br/> \_cssheader\_ {<br/> &lt;link rel='stylesheet' href='\_httpcstyle\_/style-red.css'<br/> &nbsp;&nbsp;type='text/css' title='Fire Red' charset='UTF-8'&gt;<br/> }<br/> </tt></small> </li> \n\
+</ul> \n\
+</p>
Index: /documented-examples/trunk/style-e/resources/collectionConfig_es.properties
===================================================================
--- /documented-examples/trunk/style-e/resources/collectionConfig_es.properties	(revision 36370)
+++ /documented-examples/trunk/style-e/resources/collectionConfig_es.properties	(revision 36370)
@@ -0,0 +1,23 @@
+name=ColecciÃ³n de muestra CSS
+
+shortDescription=<p>Esta colecciÃ³n demuestra el uso de hojas de estilo (CSS) con Greenstone para el formateo visual en los navegadores web. (Greenstone usa CSS en vez de tablas HTML desde la version 2.63.) En cada pÃ¡gina, puede cambiar la plantilla usada, para modificar la apariencia de la pÃ¡gina.</p>
+
+description1=<p>Esta colecciÃ³n contiene el mismo material que la colecciÃ³n de demo original de Greenstone.</p>
+
+description2=<p>Un archivo <a href='_httpcollection_/macros/extra.dm'>extra.dm</a> se utiliza para proveer el cambio de plantilla de estilos. Este archivo redefine algunas macros del paquete <i>Style</i>: <b>\_cssheader\_</b>, para enlazar mÃºltiples plantillas; <b>\_optnavigationbar\_</b>, para mostrar los links; y <b>\_pagescriptextra\_</b>, para facilitar el cambio cuando se selecciona un link. </p>
+
+description3=<p>Si quiere descargar cualquiera de estas plantillas para sus propias colecciones, aquÃ­ estÃ¡n los links a ellas: \n\
+<ul> \n\
+<li><a href='_httpimages_/style.css'>Plantilla por defecto de Greenstone</a></li> \n\
+<li><a href='_httpcstyle_/style-blue.css'>Tema âOcean Blueâ</a></li> \n\
+<li><a href='_httpcstyle_/style-red.css'>âTema Fire Redâ</a></li> \n\
+<li><a href='_httpimages_/style-print.css'>Impresora</a></li> \n\
+</ul> \n\
+</p>
+
+description4=<p> <b>Usar una plantilla descargada</b> \n\
+<ul> \n\
+<li>Para usar una plantilla de estilos por defecto, copiela en la carpeta greenstone/web/style y renÃ³mbrela como style.css. Esto afectarÃ¡ a todas las colecciones.</li> \n\
+<li>Para usar una plantilla para una colecciÃ³n en particular, copiela en la carpeta style de la colecciÃ³n, agregue un archivo extra.dm en la carpeta macros de la colecciÃ³n y edÃ­telo para agregar las siguientes lÃ­neas (aquÃ­ se usa la plantilla style-red.css como ejemplo):<br/> <small><tt> <br/> package Style<br/> <br/> \_cssheader\_ {<br/> &lt;link rel='stylesheet' href='\_httpcstyle\_/style-red.css'<br/> &nbsp;&nbsp;type='text/css' title='Fire Red' charset='UTF-8'&gt;<br/> }<br/> </tt></small> </li> \n\
+</ul> \n\
+</p>
Index: /documented-examples/trunk/style-e/resources/collectionConfig_fr.properties
===================================================================
--- /documented-examples/trunk/style-e/resources/collectionConfig_fr.properties	(revision 36370)
+++ /documented-examples/trunk/style-e/resources/collectionConfig_fr.properties	(revision 36370)
@@ -0,0 +1,23 @@
+name=DÃ©mo de feuilles de styles en cascade (CSS)
+
+shortDescription=<p>Cette collection montre l'usage que fait Greenstone des feuilles de style en cascace (CSS) pour le formatage visuel dans les navigateurs Web. (Greenstone utilise les feuilles CSS Ã  la place des tableaux HTML depuis la version 2.63.) Sur chaque page, vous pouvez changer la feuille de style utilisÃ©e, pour changer l'apparence de la page. </p>
+
+description1=<p>Cette collection contient les mÃªmes matÃ©riaux que la collection de dÃ©monstration originale de Greenstone. </p>
+
+description2=<p>Un fichier de macro <a href='_httpcollection_/macros/extra.dm'>extra.dm</a> est utilisÃ© par cette collection pour permettre de changer de feuille de style. Cela redÃ©finit quelques macros du paquet <i>Style</i> : <b>\_cssheader\_</b>, pour permettre le lien vers plusieurs feuilles de style; <b>\_optnavigationbar\_</b>, pour afficher le lien Ã  cliquer; et <b>\_pagescriptextra\_</b>, pour faciliter le changement de feuille de style quand on clique sur un lien.</p>
+
+description3=<p>Si vous voulez tÃ©lÃ©charger n'importe laquelle de ces feuilles de style pour vos propres collections, voici les liens qui y renvoient : \n\
+<ul> \n\
+<li><a href='_httpimages_/style.css'>Style Greenstone par dÃ©faut</a></li> \n\
+<li><a href='_httpcstyle_/style-blue.css'>thÃšme âOcean Blueâ</a></li> \n\
+<li><a href='_httpcstyle_/style-red.css'>thÃšme âFire Redâ</a></li> \n\
+<li><a href='_httpimages_/style-print.css'>Version imprimable</a></li> \n\
+</ul> \n\
+</p>
+
+description4=<p><b>Utiliser une feuille de style tÃ©lÃ©chargÃ©e</b> \n\
+<ul> \n\
+<li>Pour utiliser une feuille de style par dÃ©faut, copiez-la dans le dossier greenstone/web/style et renommez la en style.css. Cela aura un impact sur toutes les collections.</li> \n\
+<li>Pour utiliser une feuille de style pour une collection particuliÃšre, copiez la dans le dossier style de cette collection, ajoutez un fichier extra.dm dans le rÃ©pertoire des macros de cette collection, et ajoutez-y une macro comme celle-ci (qui utilise la feuille de style style-red.css comme exemple) : <br/> <small><tt> <br/> package Style<br/> <br/> \_cssheader\_ {<br/> &lt;link rel='stylesheet' href='\_httpcstyle\_/style-red.css'<br/> &nbsp;&nbsp;type='text/css' title='Fire Red' charset='UTF-8'&gt;<br/> }<br/> </tt></small> </li> \n\
+</ul> \n\
+</p>
Index: /documented-examples/trunk/style-e/resources/collectionConfig_zh.properties
===================================================================
--- /documented-examples/trunk/style-e/resources/collectionConfig_zh.properties	(revision 36370)
+++ /documented-examples/trunk/style-e/resources/collectionConfig_zh.properties	(revision 36370)
@@ -0,0 +1,26 @@
+name=å±çº§æ ·åŒè¡š<br/>æŒç€ºéŠè
+
+shortDescription=<p>æ¬éŠèæŒç€ºGreenstoneäœ¿çšå±çº§æ ·åŒè¡šïŒCSSïŒå®å¶çœé¡µæµè§æ ŒåŒãïŒèª2.63çæ¬åïŒGreenstoneäœ¿çšCSSæ¿æ¢HTMLè¡šæ ŒãïŒæ¯äžªé¡µé¢éœå¯éè¿ä¿®æ¹å¯¹åºçæ ·åŒè¡šæ¥æŽæ¹è¯¥é¡µé¢çå€è§ã</p>
+
+description1=<p>æ¬éŠèæå
+å«çææ¡£äžGreenstoneæŒç€ºéŠèäž­çäžæ ·ã</p>
+
+description2=<p>æ¬éŠèäœ¿çš<a href='_httpcollection_/macros/extra.dm'>extra.dm</a>å®æä»¶æ¥å®ç°äžåæ ·åŒè¡šçèœ¬æ¢ãè¯¥æä»¶éæ°å®ä¹äº<i>Style</i>å
+äž­çå äžªå®ïŒ<b>\_cssheader\_</b>ïŒä»¥éŸæ¥å°å€äžªæ ·åŒè¡šïŒ<b>\_optnavigationbar\_</b>ïŒä»¥æŸç€ºç¹å»çéŸæ¥ïŒä»¥å<b>\_pagescriptextra\_</b>ïŒä»¥å®ç°ç¹å»éŸæ¥æ¶çèœ¬æ¢ã </p>
+
+description3=<p>åŠæäœ æ³äžèœœè¿äºæ ·åŒè¡šä»¥äŸ¿çšäºäœ èªå·±çéŠèïŒè¿éæ¯äžèœœçéŸæ¥ïŒ \n\
+<ul> \n\
+<li><a href='_httpimages_/style.css'>çŒºççGreenstoneæ ·åŒè¡š</a></li> \n\
+<li><a href='_httpcstyle_/style-blue.css'>æµ·èäž»é¢</a></li> \n\
+<li><a href='_httpcstyle_/style-red.css'>ç«çº¢äž»é¢</a></li> \n\
+<li><a href='_httpimages_/style-print.css'>æå°æº</a></li> \n\
+</ul> \n\
+</p>
+
+description4=<p><b>äœ¿çšäžèœœçæ ·åŒè¡š</b> \n\
+<ul> \n\
+<li>èŠå°äžäžªæ ·åŒè¡šè®Ÿçœ®äžºçŒºççæ ·åŒè¡šïŒå°è¯¥æ ·åŒè¡šæŸå
+¥greenstone/web/styleæä»¶å€¹å¹¶éåœåäžºstyle.cssãè¿å°åœ±åå°ææçéŠèã</li> \n\ <li>èŠåšæäžªç¹å®éŠèäž­äœ¿çšäžäžªæ ·åŒè¡šïŒå°è¯¥æ ·åŒè¡šæŸå
+¥è¯¥éŠèçstyleç®åœïŒå¹¶åšè¯¥éŠèçmacrosç®åœäžæ·»å äžäžªextra.dmæä»¶ïŒç¶åæ·»å åŠäžçå®ïŒè¿éäœ¿çšstyle-red.cssäœäžºäŸå­ïŒïŒ<br/>  <small><tt> <br/> package Style<br/> <br/> \_cssheader\_ {<br/> &lt;link rel='stylesheet' href='\_httpcstyle\_/style-red.css'<br/> &nbsp;&nbsp;type='text/css' title='Fire Red' charset='UTF-8'&gt;<br/> }<br/> </tt></small> </li> \n\
+</ul> \n\
+</p>
Index: /documented-examples/trunk/style-e/script/custom-script.js
===================================================================
--- /documented-examples/trunk/style-e/script/custom-script.js	(revision 36370)
+++ /documented-examples/trunk/style-e/script/custom-script.js	(revision 36370)
@@ -0,0 +1,16 @@
+// This function copied from extra.dm of style-e DEC collection
+// It changes the current stylesheet to the named one of parameter
+function SetStyle(stylename) {
+  var body = document.getElementsByTagName('body')[0];
+  body.style.backgroundImage = "";
+  
+  styles = document.styleSheets;
+  var i;
+  for (i=0;i<styles.length;i++) {
+    style = styles[i];
+    if (style.title == stylename)
+      style.disabled = false;
+    else
+      style.disabled = true;
+  }
+}
Index: /documented-examples/trunk/style-e/transform/pages/about.xsl
===================================================================
--- /documented-examples/trunk/style-e/transform/pages/about.xsl	(revision 36370)
+++ /documented-examples/trunk/style-e/transform/pages/about.xsl	(revision 36370)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
+	
+	<xsl:template name="coll-description">
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='shortDescription']"/>
+	  
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description1']"/>
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description2']"/>
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description3']"/>
+	  <xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/collection/displayItemList/displayItem[@name='description4']"/>	  
+	  
+	</xsl:template>
+
+</xsl:stylesheet>  
+