Index: /documented-examples/trunk/style-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/style-e/resources/collectionConfig.properties	(revision 36391)
+++ /documented-examples/trunk/style-e/resources/collectionConfig.properties	(revision 36392)
@@ -11,16 +11,52 @@
 
 
-shortDescription=<p>This collection demonstrates Greenstone's use of Cascading Style Sheets (CSS) for visual formatting in web browsers. (Greenstone uses CSS instead of HTML tables since version 2.63.) On every page, you can change the style-sheet in effect, to modify that page's appearance.</p>
+shortDescription=<p>This collection demonstrates Greenstone's use of Cascading Style Sheets (CSS) for visual formatting in web browsers. On every page, you can change the style-sheet in effect, to modify that page's appearance. This collection contains the same material as the original Greenstone demo collection.</p>
 
-description1=<p>This collection contains the same material as the original Greenstone demo collection.</p>
+description1=<p>A combination of JavaScript and the overriding of GS3 XSL templates in Greenstone 3's <i>global</i> format statement is used by the collection to provide the stylesheet switching. As in some other <i>Documented Example Collections</i>, GLI's <pre>Format &gt; Format Features &gt; global</pre> can be used to define the <b>additionalHeaderContent</b> template. Doing so overrides the existing <i>additionalHeaderContent</i> template, and appends any specified HTML elements to the HTML header.</p>
 
-description2=<p>An <a href='_httpcollection_/macros/extra.dm'>extra.dm</a> macro file is used by the collection to provide the stylesheet switching. This redefines a few macros from the <i>Style</i> package: <b>\_cssheader\_</b>, to link to multiple stylesheets; <b>\_optnavigationbar\_</b>, to display the links to click; and <b>\_pagescriptextra\_</b>, to facilitate the switching when a link is clicked.</p>
+description2=<p>In this case, the <b>additionalHeaderContent</b> specifies the custom collection stylesheet currently active and the JavaScript to facilitate the stylesheet switching when a link is clicked. The <b>create-banner</b> XSL template in the <i>global</i> format statement is also overridden to provide links to the multiple stylesheets within the existing GS3 banner section, and invoke the custom JavaScript when any link is clicked. \n\
+<pre> \n\
+  &lt;xsl\:template name=&quot;additionalHeaderContent&quot;&gt; \n\
+    &lt;xsl\:variable name=&quot;httpCollection&quot;&gt; \n\
+      &lt;xsl\:value-of select=&quot;/page/pageResponse/collection/metadataList/metadata[@name='httpPath']&quot;/&gt; \n\
+    &lt;/xsl\:variable&gt; \n\
+	&lt;link rel=&quot;stylesheet&quot; href=&quot;{$httpCollection}/style/gs3-style-default-extra.css&quot; type=&quot;text/css&quot;  \n\
+	   title=&quot;GS3 Style&quot; id=&quot;custom-style&quot; charset=&quot;UTF-8&quot;/&gt; \n\
+		 \n\
+	&lt;script src=&quot;{$httpCollection}/script/custom-script.js&quot; type=&quot;text/javascript&quot;&gt; \n\
+	&lt;/script&gt; \n\
+ \n\
+  &lt;/xsl\:template&gt; \n\
+ \n\
+ \n\
+  &lt;xsl\:template name=&quot;create-banner&quot;&gt;   \n\
+	 \n\
+	&lt;div class=&quot;choose_style&quot;&gt; \n\
+		Choose a style\: \n\
+		&lt;a href=&quot;#&quot; onclick=&quot;replaceStyle('gs3-style-default-extra');return false;&quot;&gt;Default Greenstone&lt;/a&gt;, \n\
+		&lt;a href=&quot;#&quot; onclick=&quot;replaceStyle('gs3-style-blue');return false;&quot;&gt;Blue&lt;/a&gt;, \n\
+		&lt;a href=&quot;#&quot; onclick=&quot;replaceStyle('gs3-style-olive-purple');return false;&quot;&gt;OlivePurple&lt;/a&gt;,		 \n\
+		&lt;a href=&quot;#&quot; onclick=&quot;replaceStyle('');return false;&quot;&gt;None&lt;/a&gt; \n\
+		&lt;/div&gt; \n\
+		 \n\
+    &lt;div id=&quot;gs_banner&quot; class=&quot;ui-widget-header ui-corner-bottom&quot;&gt;	     \n\
+      &lt;div id=&quot;titlesearchcontainer&quot;&gt; \n\
+	   \n\
+	&lt;xsl\:call-template name=&quot;page-title-area&quot;/&gt;	 \n\
+	&lt;xsl\:call-template name=&quot;quick-search-area&quot;/&gt; \n\
+	&lt;div style=&quot;clear\:both;&quot;&gt;&lt;xsl\:text&gt; &lt;/xsl\:text&gt;&lt;/div&gt;	 \n\
+      &lt;/div&gt; \n\
+      &lt;xsl\:call-template name=&quot;browsing-tabs&quot;/&gt;	 \n\
+    &lt;/div&gt; \n\
+  &lt;/xsl\:template&gt; \n\
+</pre> \n\
+</p>
 
 description3=<p>If you want to download any of these stylesheets for your own collections, here are links to them: \n\
 <ul> \n\
-<li><a href='_httpimages_/style.css'>Default Greenstone Style</a></li> \n\
-<li><a href='_httpcstyle_/style-blue.css'>âOcean Blueâ theme</a></li> \n\
-<li><a href='_httpcstyle_/style-red.css'>âFire Redâ theme</a></li> \n\
-<li><a href='_httpimages_/style-print.css'>Printer</a></li> \n\
+<li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-default-extra.css'>GS3 default extra</a> - builds on top of GS3's default style</li> \n\
+<li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-blue.css'>Blue theme</a> - modifies the GS3 default style for a blue colouring</li> \n\
+<li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-olive-purple.css'>olive-purple theme</a> - modifies the GS3 default style for a vivid colouring of vine green and purples</li> \n\
+<li>None - clears all CSS styling from the current page (needs reload to get the default GS3 style back)</li> \n\
 </ul> \n\
 </p>
@@ -28,6 +64,13 @@
 description4=<p><b>Using a downloaded stylesheet</b> \n\
 <ul> \n\
-<li>To use a stylesheet as the default, place it in greenstone/web/style and rename it to style.css. This will affect all collections.</li> \n\
-<li>To use a stylesheet for a particular collection, place it in the collection's style directory, add an extra.dm file to the collection's macros directory, and add a macro like the following (this uses style-red.css as the example):<br/> <small><tt> <br/> package Style<br/> <br/> \_cssheader\_ {<br/> &lt;link rel='stylesheet' href='\_httpcstyle\_/style-red.css'<br/> &nbsp;&nbsp;type='text/css' title='Fire Red' charset='UTF-8'&gt;<br/> }<br/> </tt></small> </li> \n\
+<li>To use a stylesheet as the default, place it in greenstone/web/interfaces/default/style and rename it to <pre>style.css</pre>. This will affect all collections.</li> \n\
+<li>To use a stylesheet for a particular collection, place it in greenstone/web/sites/localsite/collect/&lt;collection&gt;/style then specify the stylesheet link in the <b>additionalHeaderContent</b> of GLI's <i>global</i> format statement (<pre>Format &gt; Format Features &gt; global</pre>) as follows: \n\
+<pre>&lt;xsl\:template name=&quot;additionalHeaderContent&quot;&gt; \n\
+    &lt;xsl\:variable name=&quot;httpCollection&quot;&gt; \n\
+      &lt;xsl\:value-of select=&quot;/page/pageResponse/collection/metadataList/metadata[@name='httpPath']&quot;/&gt; \n\
+    &lt;/xsl\:variable&gt; \n\
+    &lt;link href=&quot;{$httpCollection}/style/stylesheet-name.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot;/&gt; \n\
+&lt;/xsl\:template&gt;</pre> \n\
+</li> \n\
 </ul> \n\
 </p>